LFR-FSW - Bug #62

Mise a jour ICD
21/02/2014 05:07 PM - Gerald Saule

Status: Closed Start date: 21/02/2014
Priority: Normal Due date:

Assignee: Veronique bouzid % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
revision: ro

Description

Cette issue rassemble toutes les modifications a apporter pour la prochaine ICD.
Cette issue reprend l'issue Bug#1008 (‘Mise a jour ICD') de pc-instru.
Elle fait suite a Bug 816 fermée le 13/12/2013.

Dans les TM_LFR_HK, il serait treés utile d'avoir deux champs complémentaires: pointeur de pile (32
bits) et pointeur de tas (32bits). Cela permettrait de contrdler d'éventuels pb respectivement de
récursivité, et de perte mémoire.

L'absence d'unités constitue un risque d'incompréhension. Sont concernés notamment les champs
en "temperature", et "voltage".

Les LSB et offsets donnés dans les tableaux "débordent" parfois sur les cases adjacentes (dans

les pdf livrés). A priori, les valeurs sont exploitables méme dans les cas ou les chiffres recouv
rent entierement les deux colonnes "LSB" et "Offset". Toutefois, il serait plus sain d'éviter ces
débordements.

Il yv a une dysymétrie pour TC_LFR_UPDATE_INFO: le LSB de HK_BIA_BIAS1 est a 0,0136646, pour HK
_BIA_BIAS2 et HK_BIA_BIAS3, il est a 0,01366459. Bien que 1l'écart soit numériquement infime, n'y a
-t'il pas un probléme de principe ?

Pour chaque champ, on comprend que la grandeur physique vaut la valeur du champ * LSB avec un
offset; la formule est-elle bien GrandeurPhysique = ValeurChamp * LSB + Offset ? (et pas GrandeurP
hysique = ValeurChamp * LSB - Offset).

Les tableaux utilisent le tiret "-" pour remplir les cases vides. Certains tirets cohabitent a
vec des valeurs numériques. Ainsi, 1l serait prudent de confirmer que les valeurs négatives écrite
s sont bien intentionnelles. Il y a un risque d'oubli de tirets résiduels rendant malencontreuseme
nt une valeur négative.

Les barres de modifications pourraient étre utilisées pour mettre en évidences les changements

depuis la version 2.0.

Pour chaque TC/TM, la partie PACKET_SEQUENCE_CONTROL décrit le champ SEGMENTATION_GROUPING_FLA
G. Cet Enum devrait étre restreint a "STANDALONE_PACKET = 3", depuis la suppression de "CONTINUATI
ON_PACKET = 0", "FIRST_PACKET_OF_A_GROUP_OF_PACKETS = 1", ""LAST_PACKET_OF_A_GROUP_OF_PACKETS = 2"

Dans les PACKET_DATA_FIELD: SOURCE_DATA, pour TM_LFR_SCIENCE_NORMAL_CWF_F3 , le champ PA_LFR_C
WEF3_BLK_NR a une dénomination inhomogéne par rapport aux autres TM_LFR_SCIENCE.

Pour TM_LFR_SCIENCE_NORMAL_ASM_F1 Packet, la valeur min du champs PA_LFR_ASM F1_BLK_NR est 1.
Cela est contradictoire avec la ligne suivante ("/SOURCE_DATA/Repeated N times, with N in [0..52["
). (idem pour PA_LFR_ASM_F2_BLK_NR du TM_LFR_SCIENCE_NORMAL_ASM_F2 Packet) .

Les valeurs de 1'Enumm PA_RPW_TC_FAILURE_CODE pourraient étre supprimées, conformément a SSS-C
P-EQS-150.

ILLEGAL_APID = 0 - Illegal APID (PAC error)
WRONG_LEN_PKT = 1 - Incomplete or invalid length packet
INCOR_CHECKSUM = 2 - Incorrect checksum

ILL_TYPE = 3 - Illegal packet type

ILL_SUBTYPE = 4 - Illegal packet subtype

WRONG_SRC_ID = 42001 - wrong source ID

NOT_ALLOWED = 42004 - failure or malfunction detected

Biblio: RPW-SYS-MEB-LFR-ICD-00097-LES_Issue2_RevO(RPW_ICD_LFR_TC_TM)

Related issues:
Related to Bug #65: TC_LFR_LOAD_NORMAL_PAR: pas de vérif sur SY_LFR_N_ASM_P,... Closed 24/02/2014
Related to Feature #481: Cohérence/Intégrité sur TC_LFR_LOAD_NORMAL_PAR Closed 10/08/2015

History

#1 - 04/03/2014 12:43 PM - paul leroy

- Status changed from New to In Progress

Si on se référe a la spécification LFR, RPW-MEB-LFR-00003, la valeur par défaut du paramétre SY_LFR_S1_BP_P0 est 0.25 s, etnon 1 s.

==> |CD 3.11 (probablement avant aussi) spécifie 0.25 entre parenthése mais encore pas assez explicite.

#2 - 05/03/2014 03:01 PM - Gerald Saule

La note #1 montre I'ambiguité des valeurs par défaut pour tout champ avec le LSB<>1; la valeur de I'lCD est-elle la valeur du champ transmis, ou la
valeur numérique de la grandeur (cas avec SY_LFR_S1_BP_P0 de TM_LFR_PARAMETER_DUMP). L'issue Bug #54
(TM_LFR_PARAMETER_DUMP: affectation de SY_LFR_S1_BP_P0 par défaut) traite ce point.

#3 - 17/03/2014 11:16 AM - Gerald Saule

SY_LFR_N_CWF_LONG_F3 du TC_LFR_LOAD_NORMAL_PAR packet n'a pas de valeur par défaut dans
RPW-SYS-MEB-LFR-ICD-00097_Issue2-Rev0 (du Jan. 17, 2014).

Il faudrait mettre 0, par cohérence avec la SSS "The nominal case is to transmit TM_LFR_SCIENCE_NORMAL_CWF_F3 packets" en note du
SSS-CP-EQS-470 au §4.5.10.2 LFR DATA PACKETS (RPW-SYS-SSS-00013-LES_Issue2-Rev1 du 20/01/2014).

==> Pris en compte dans ICD 3.11 (probablement avant aussi)

#4 - 11/06/2014 05:10 PM - bruno katra

La contrainte d'avoir SY_LFR_N_SWP_P égal a un multiple de 8 n'est plus d'actualité (cf. Paul issue #82) : il faut faire modifier I''CD pour mettre
comme valeur max a SY_LFR_N_SWP_P :

65535 au lieu de 65528.

==> demandé dans https://jira-lesia.obspm.fr/browse/RPWIDB-162

#5 - 09/06/2015 10:45 AM - paul leroy
- Status changed from In Progress to Feedback

- Assignee changed from paul leroy to Veronique bouzid

Il faudrait repointer les informations, s'il y en a encore, a faire remonter dans I'lCD.

sy_lfr_n_swf_p peut valoir de 46 22 a 65535 (repris de la remarque ci-dessus non prise en compte dans I'ICD 3.9)
(passage a 22s depuis modfis FSW pour resynchro SWF afin d'éviter des erreurs, devra aussi étre géré par I'envoi d'un TM_EXE_TC par le FSW)
==> demandé dans https://jira-lesia.obspm.fr/browse/RPWIDB-162

#6 - 10/08/2015 01:33 PM - Veronique bouzid
- Status changed from Feedback to Closed

voir Feature #481 qui décrit les tests effectués sur les paramétres
==> demandé dans https:/jira-lesia.obspm.fr/browse/RPWIDB-162
#7 - 10/08/2015 02:46 PM - bruno katra
- Status changed from Closed to Feedback

#8 - 28/01/2016 11:26 AM - bruno katra

Les valeurs ASM sont marquée comme integer dans I'iCD alors que ce sont des floats IEEE754
==> demandé dans https:/jira-lesia.obspm.fr/browse/RPWIDB-162

#9 - 17/02/2016 02:27 PM - bruno katra

Nombreuses demandes de modifs faites dans :
https://jira-lesia.obspm.fr/browse/RPWIDB-162

#10 - 03/02/2017 11:26 AM - Veronique bouzid
- Status changed from Feedback to Closed
